Public Const MiddleFreq	as Single = 57600.0	'Hz			<---try different values
Public Const MinPulse	as Single = 3.47e-6	'seconds	<---try different values

Public Function CalcPWMFreq(ByVal Speed as Single) as Single

	'Range Check Speed Here (0.0 - 1.0)

	If Speed < (MiddleFreq * MinPulse) then
		CalcPWMFreq = Speed / MinPulse
		
	ElseIf Speed > (1.0-(MiddleFreq * MinPulse)) then
		CalcPWMFreq = (1.0-Speed)/ MinPulse
		
	Else
		CalcPWMFreq = MiddleFreq
		
	End If
	
	'Check here for a valid, useful frequency.  Very low speeds probably
	'should be limited to something reasonable like 10Hz.  At the top end, this 
	'is less of an issue
	
End Function





Public Sub HBridgeSetSpeed (ByVal Channel as Byte, ByVal Speed as Single)

	Dim Freq 		as Single
	Dim UIResult 	as UnsignedInteger
	
	Freq = CalcPWMFreq(Speed)
	UIResult = PWMSetFreq (Freq)
	'test UIResult here
	
	Call PWMEnable (Channel,Speed, 0) 	'normal phase

End Sub